## caneda 0.2.0

=== CMakeLists.txt ===
# ==================================================================================
# Caneda project
PROJECT( Caneda )

SET( PACKAGE_VERSION "0.2.0" )
SET( PACKAGE_STRING "caneda 0.2.0" )

# ==================================================================================
# Minimum libraries required

CMAKE_MINIMUM_REQUIRED( VERSION 2.8.11 )

SET( QT_MIN_VERSION 5.3.2 )
FIND_PACKAGE( Qt5Widgets ${QT_MIN_VERSION} REQUIRED )
FIND_PACKAGE( Qt5Svg ${QT_MIN_VERSION} REQUIRED )
FIND_PACKAGE( Qt5PrintSupport ${QT_MIN_VERSION} REQUIRED )
FIND_PACKAGE( Qt5LinguistTools ${QT_MIN_VERSION} REQUIRED )

# For Qwt
SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/" )
SET( QWT_MIN_VERSION 6.1.2 )
FIND_PACKAGE( Qwt ${QWT_MIN_VERSION} REQUIRED )

# ==================================================================================
# Configure runtime directories

SET( BASEDIR     "share/caneda/" )
SET( BITMAPDIR   "share/caneda/images/" )
SET( BINARYDIR   "bin/" )
SET( DESKTOPDIR  "share/applications/" )
SET( DOCDIR      "share/caneda/docs/" )
SET( ICONDIR     "share/icons/" )
SET( MANDIR      "share/man/man1/" )
SET( MIMEDIR     "share/mime/packages/" )
SET( LANGUAGEDIR "share/caneda/i18n/" )
SET( LIBRARYDIR  "share/caneda/libraries/" )

# ==================================================================================
# Configure files and compilation options

SET( CMAKE_AUTOMOC ON )
SET( CMAKE_AUTOUIC ON )
SET( CMAKE_INCLUDE_CURRENT_DIR ON )
SET( CMAKE_BUILD_TYPE Debug )

CONFIGURE_FILE( ${Caneda_SOURCE_DIR}/config.h.cmake ${Caneda_BINARY_DIR}/config.h )

# ==================================================================================
# Include sources directories

ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( docs )
ADD_SUBDIRECTORY( images )
ADD_SUBDIRECTORY( i18n )
ADD_SUBDIRECTORY( libraries )

# ==================================================================================
# Licence and other files

SET( MISC README.md COPYING )
INSTALL( FILES ${MISC} DESTINATION ${BASEDIR} )

SET( DESKTOPFILES caneda.desktop )
INSTALL( FILES ${DESKTOPFILES} DESTINATION ${DESKTOPDIR} )

SET( MIMEFILES caneda.xml )
INSTALL( FILES ${MIMEFILES} DESTINATION ${MIMEDIR} )

=== docs/CMakeLists.txt ===
SET(HTMLHELPS en es)
ADD_SUBDIRECTORY( man )

INSTALL(DIRECTORY ${HTMLHELPS} DESTINATION ${DOCDIR})

=== i18n/CMakeLists.txt ===
# Qt translations
#
# Caneda uses the translation interface of Qt in order to internationalize
# the software.  The translation files are automatically generated.
#
# The actual Caneda translation is named 'caneda_xx.ts' where 'xx'
# specifies the locale abbreviation (e.g. 'de' for German, or 'es' for
# Spanish).  This type translation files may change as the source code
# of Caneda changes.
#
# To add a new language translation, simply add a new file name to the
# following TS_FILES rule.

SET( TS_FILES
caneda_de.ts caneda_es.ts caneda_fr.ts caneda_he.ts caneda_hu.ts
caneda_it.ts caneda_jp.ts caneda_pl.ts caneda_pt.ts caneda_ro.ts
caneda_ru.ts caneda_sv.ts caneda_tr.ts caneda_uk.ts caneda_es_AR.ts
)

QT5_ADD_TRANSLATION( QM_FILES ${TS_FILES} )
QT5_CREATE_TRANSLATION( QM_FILES ${CMAKE_SOURCE_DIR}/src/ ${TS_FILES} OPTIONS -I ${CMAKE_SOURCE_DIR}/src )

ADD_CUSTOM_TARGET( translations ALL DEPENDS ${QM_FILES} )
INSTALL( FILES ${QM_FILES} DESTINATION ${LANGUAGEDIR} )

# Prevent the generated files from being deleted during make clean
SET_DIRECTORY_PROPERTIES( PROPERTIES CLEAN_NO_CUSTOM true )

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_BINARY_DIR}

  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/dialogs
  ${CMAKE_SOURCE_DIR}/src/paintings

  ${CMAKE_BINARY_DIR}/src/dialogs
  ${CMAKE_BINARY_DIR}/src/paintings

  ${QWT_INCLUDE_DIR}
)

ADD_SUBDIRECTORY( dialogs )
ADD_SUBDIRECTORY( paintings )

SET( CANEDA_SRCS
  wire.cpp sidebarbrowser.cpp sidebartextbrowser.cpp
  cgraphicsitem.cpp cgraphicsscene.cpp sidebarwebbrowser.cpp
  global.cpp units.cpp main.cpp mainwindow.cpp library.cpp
  cgraphicsview.cpp  undocommands.cpp component.cpp
  property.cpp port.cpp fileformats.cpp fileimport.cpp
  fileexport.cpp folderbrowser.cpp settings.cpp
  actionmanager.cpp project.cpp portsymbol.cpp
  statehandler.cpp documentviewmanager.cpp icontext.cpp
  idocument.cpp iview.cpp tabs.cpp syntaxhighlighters.cpp
  csimulationscene.cpp csimulationview.cpp csimulationitem.cpp
  textedit.cpp webpage.cpp xmlutilities.cpp messagewidget.cpp
  sidebarsimulationbrowser.cpp
)

ADD_EXECUTABLE( caneda ${CANEDA_SRCS} )

TARGET_LINK_LIBRARIES( caneda
  Qt5::Widgets
  Qt5::Svg
  Qt5::PrintSupport
  ${QWT_LIBRARIES}
  dialogs
  paintings
)

INSTALL( TARGETS caneda DESTINATION ${BINARYDIR} )

=== docs/man/CMakeLists.txt ===
SET(MANPAGES caneda.1)

INSTALL(FILES ${MANPAGES} DESTINATION ${MANDIR})

=== images/icons/CMakeLists.txt ===
# Application icons
SET(ICONS hicolor)

# Main logo
SET(LOGO caneda.png)

INSTALL(DIRECTORY ${ICONS} DESTINATION ${ICONDIR})
INSTALL(FILES ${LOGO} DESTINATION ${BITMAPDIR})

=== images/png/CMakeLists.txt ===
# toolbar pictures
SET(PNGS align-horizontal-center.png c_microstrip.png document-save-as.png
         format-justify-center.png go-top.png object-locked.png terminal.png
         align-horizontal-left.png coax.png document-save.png format-justify-fill.png
         go-up.png object-rotate-left.png object-rotate-right.png text-plain.png
         align-horizontal-right.png code-context.png draw-eraser.png
         format-justify-left.png object-unlocked.png tools-wizard.png
         align-vertical-bottom.png deactiv.png draw-freehand.png format-justify-right.png
         help-contents.png pause.png transform-scale.png align-vertical-center.png
         dialog-close.png edit-copy.png format-text-bold.png image-x-generic.png pdf.png
         unmodified.png align-vertical-top.png distribute-horizontal-center.png edit-cut.png
         format-text-italic.png library.png port.png view-grid.png application-exit.png
         distribute-vertical-center.png edit-delete.png format-text-subscript.png marker.png
         preferences-other.png view-left-close.png archive-remove.png document-close.png
         edit-find.png format-text-superscript.png media-playback-start.png printer.png
         view-split-left-right.png att_bridge.png document-new.png edit-paste.png
         format-text-underline.png microstrip.png project-new.png view-split-top-bottom.png
         att_pi.png document-open.png edit-redo.png formula.png qt.png wire.png att_tee.png
         document-preview.png edit-select.png go-bottom.png next.png rectwaveguide.png
         zoom-fit-best.png document-print.png edit-undo.png go-home.png
         select-rectangular.png zoom-in.png chronometer.png document-properties.png eps.png
         go-next.png object-flip-horizontal.png stop.png zoom-original.png document-save-all.png
         folder-new.png go-previous.png object-flip-vertical.png system-switch-user.png
         zoom-out.png list-remove.png list-add.png edit-clear-locationbar-rtl.png
         document-open-recent.png
)

INSTALL(FILES ${PNGS} DESTINATION ${BITMAPDIR})

=== images/svg/CMakeLists.txt ===
# Paint toolbar icons
SET(SVGS arrow.svg ellipsearc.svg ellipse.svg line.svg portsymbol.svg rectangle.svg text.svg ground.svg)

INSTALL(FILES ${SVGS} DESTINATION ${BITMAPDIR})

=== src/dialogs/CMakeLists.txt ===
SET( DIALOGS_SRCS
  aboutdialog.cpp settingsdialog.cpp settingspages.cpp exportdialog.cpp
  printdialog.cpp projectfilenewdialog.cpp savedocumentsdialog.cpp
  projectfileopendialog.cpp gitmanager.cpp propertydialog.cpp filenewdialog.cpp
  portsymboldialog.cpp simulationdialog.cpp
)

ADD_LIBRARY( dialogs ${DIALOGS_SRCS} )

TARGET_LINK_LIBRARIES( dialogs
  Qt5::PrintSupport
  Qt5::Svg
  ${QWT_LIBRARIES}
)

=== debian/changelog ===
caneda (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install files.
  * Update descriptions based on the suggestions from Thomas Vincent and
    Justin B. Rye (Closes: #818229).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 11 Apr 2016 11:11:57 -0300

caneda (0.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Update Standards-Version to 3.9.7. No changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 08 Mar 2016 10:12:38 -0300

caneda (0.1.0-1) experimental; urgency=low

  * Initial release (Closes: #601248).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Feb 2016 07:38:23 -0300

=== debian/control ===
Source: caneda
Section: electronics
Priority: optional
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libqt5svg5-dev,
               libqwt-qt5-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.7
Homepage: https://github.com/Caneda/Caneda

Package: caneda
Architecture: any
Depends: caneda-common, ${misc:Depends}, ${shlibs:Depends}
Suggests: caneda-doc, ngspice
Description: Electronic Design Automation software focused on easy of use and portability
 Caneda is an open source Electronic Design Automation (EDA) application
 focused on easy of use and portability. It's goal is to handle the complete
 design process from schematic capture, through simulation and into circuit
 layout and PCB.
 .
 The software aims to support all kinds of circuit simulation types, e.g. DC,
 AC, S-parameter and harmonic balance analysis.

Package: caneda-common
Architecture: all
Depends: ${misc:Depends}
Description: architecture independent files for Caneda
 Caneda is an open source Electronic Design Automation (EDA) application
 focused on easy of use and portability. It's goal is to handle the complete
 design process from schematic capture, through simulation and into circuit
 layout and PCB.
 .
 The software aims to support all kinds of circuit simulation types, e.g. DC,
 AC, S-parameter and harmonic balance analysis.
 .
 This package provides the arch-independent common files for caneda.

Package: caneda-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: documentation for Caneda
 Caneda is an open source Electronic Design Automation (EDA) application
 focused on easy of use and portability. It's goal is to handle the complete
 design process from schematic capture, through simulation and into circuit
 layout and PCB.
 .
 The software aims to support all kinds of circuit simulation types, e.g. DC,
 AC, S-parameter and harmonic balance analysis.
 .
 This package provides the documentation for Caneda.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export QT_SELECT := qt5

%:
	dh $@ --parallel

override_dh_install:
	rm -fv debian/tmp/usr/share/caneda/INSTALL
	dh_install --fail-missing

## caneda 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Caneda project
 PROJECT( Caneda )
 
-SET( PACKAGE_VERSION "0.2.0" )
-SET( PACKAGE_STRING "caneda 0.2.0" )
+SET( PACKAGE_VERSION "0.3.0" )
+SET( PACKAGE_STRING "caneda 0.3.0" )
 
 # ==================================================================================
 # Minimum libraries required
@@ -25,12 +25,10 @@
 # Configure runtime directories
 
 SET( BASEDIR     "share/caneda/" )
-SET( BITMAPDIR   "share/caneda/images/" )
 SET( BINARYDIR   "bin/" )
 SET( DESKTOPDIR  "share/applications/" )
-SET( DOCDIR      "share/caneda/docs/" )
 SET( ICONDIR     "share/icons/" )
-SET( MANDIR      "share/man/man1/" )
+SET( IMAGEDIR    "share/caneda/images/" )
 SET( MIMEDIR     "share/mime/packages/" )
 SET( LANGUAGEDIR "share/caneda/i18n/" )
 SET( LIBRARYDIR  "share/caneda/libraries/" )
@@ -49,9 +47,8 @@
 # Include sources directories
 
 ADD_SUBDIRECTORY( src )
-ADD_SUBDIRECTORY( docs )
 ADD_SUBDIRECTORY( images )
-ADD_SUBDIRECTORY( i18n )
+#ADD_SUBDIRECTORY( i18n )
 ADD_SUBDIRECTORY( libraries )
 
 # ==================================================================================

=== images/png/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
 # toolbar pictures
-SET(PNGS align-horizontal-center.png c_microstrip.png document-save-as.png
+SET(PNGS align-horizontal-center.png application-x-caneda-layout.png
+         application-x-caneda-schematic.png application-x-caneda-symbol.png
+         application-x-spice-netlist.png application-x-spice-simulation-raw.png
+         c_microstrip.png document-save-as.png folder.png unknown.png
          format-justify-center.png go-top.png object-locked.png terminal.png
          align-horizontal-left.png coax.png document-save.png format-justify-fill.png
          go-up.png object-rotate-left.png object-rotate-right.png text-plain.png
@@ -11,7 +14,7 @@
          unmodified.png align-vertical-top.png distribute-horizontal-center.png edit-cut.png
          format-text-italic.png library.png port.png view-grid.png application-exit.png
          distribute-vertical-center.png edit-delete.png format-text-subscript.png marker.png
-         preferences-other.png view-left-close.png archive-remove.png document-close.png
+         view-left-close.png archive-remove.png document-close.png
          edit-find.png format-text-superscript.png media-playback-start.png printer.png
          view-split-left-right.png att_bridge.png document-new.png edit-paste.png
          format-text-underline.png microstrip.png project-new.png view-split-top-bottom.png
@@ -21,8 +24,9 @@
          select-rectangular.png zoom-in.png chronometer.png document-properties.png eps.png
          go-next.png object-flip-horizontal.png stop.png zoom-original.png document-save-all.png
          folder-new.png go-previous.png object-flip-vertical.png system-switch-user.png
-         zoom-out.png list-remove.png list-add.png edit-clear-locationbar-rtl.png
-         document-open-recent.png
+         zoom-out.png list-remove.png list-add.png edit-clear.png
+         document-open-recent.png show-menu.png view-fullscreen.png
+         configure.png configure-shortcuts.png view-sidetree.png fork.png
 )
 
-INSTALL(FILES ${PNGS} DESTINATION ${BITMAPDIR})
+INSTALL(FILES ${PNGS} DESTINATION ${IMAGEDIR})

=== src/dialogs/CMakeLists.txt ===
SET( DIALOGS_SRCS
  aboutdialog.cpp chartsdialog.cpp exportdialog.cpp filenewdialog.cpp
  messagewidget.cpp portsymboldialog.cpp printdialog.cpp
  projectfilenewdialog.cpp projectfileopendialog.cpp propertydialog.cpp
  savedocumentsdialog.cpp settingsdialog.cpp shortcutsdialog.cpp
)

ADD_LIBRARY( dialogs ${DIALOGS_SRCS} )

TARGET_LINK_LIBRARIES( dialogs
  Qt5::PrintSupport
  Qt5::Svg
  ${QWT_LIBRARIES}
)

=== src/tools/CMakeLists.txt ===
SET( TOOLS_SRCS
  gitmanager.cpp quicklauncher.cpp quickinsert.cpp quickopen.cpp
)

ADD_LIBRARY( tools ${TOOLS_SRCS} )

TARGET_LINK_LIBRARIES( tools
  Qt5::Widgets
)

=== debian/changelog ===
caneda (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Converge all stuff back to a single package caneda, as upstream now ships
    documentation embedded in the code and the amount of common files
    dropped considerably.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Remove uneeded files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 19:37:41 -0300

## caneda 0.3.1

=== images/CMakeLists.txt ===
# Toolbar icons
ADD_SUBDIRECTORY( png )

# Paint toolbar icons
ADD_SUBDIRECTORY( svg )

# Application icons
ADD_SUBDIRECTORY( icons )

=== images/svg/CMakeLists.txt ===
# Paint toolbar icons
SET(SVGS arrow.svg ellipsearc.svg ellipse.svg line.svg portsymbol.svg rectangle.svg text.svg ground.svg)

INSTALL(FILES ${SVGS} DESTINATION ${IMAGEDIR})

=== debian/changelog ===
caneda (0.3.1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:00 +0100

caneda (0.3.1-1) unstable; urgency=medium

  * New upstream release (Closes: #871168).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 09 Sep 2017 21:05:33 -0300

=== debian/control ===
Source: caneda
Section: electronics
Priority: optional
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libqt5svg5-dev,
               libqwt-qt5-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/Caneda/Caneda

Package: caneda
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: caneda-common (<< 0.3.0~), caneda-doc (<< 0.3.0~)
Replaces: caneda-common (<< 0.3.0~), caneda-doc (<< 0.3.0~)
Suggests: ngspice
Description: Electronic Design Automation software focused on easy of use and portability
 Caneda is an open source Electronic Design Automation (EDA) application
 focused on easy of use and portability. It's goal is to handle the complete
 design process from schematic capture, through simulation and into circuit
 layout and PCB.
 .
 The software aims to support all kinds of circuit simulation types, e.g. DC,
 AC, S-parameter and harmonic balance analysis.

## caneda 0.3.1%2Bgitg08e22168

=== images/icons/CMakeLists.txt ===
# Application icons
SET(ICONS hicolor)

# Main logo
SET(LOGO caneda.png)

INSTALL(DIRECTORY ${ICONS} DESTINATION ${ICONDIR})
INSTALL(FILES ${LOGO} DESTINATION ${IMAGEDIR})

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: caneda
 Section: electronics
 Priority: optional
-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 13),
                libqt5svg5-dev,
                libqwt-qt5-dev,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: https://github.com/Caneda/Caneda
 
 Package: caneda

## caneda 0.3.1+gitg08e22168

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Caneda project
 PROJECT( Caneda )
 
-SET( PACKAGE_VERSION "0.3.0" )
-SET( PACKAGE_STRING "caneda 0.3.0" )
+SET( PACKAGE_VERSION "0.3.1" )
+SET( PACKAGE_STRING "caneda 0.3.1" )
 
 # ==================================================================================
 # Minimum libraries required

=== i18n/CMakeLists.txt ===
--- 
+++ 
@@ -12,9 +12,7 @@
 # following TS_FILES rule.
 
 SET( TS_FILES
-caneda_de.ts caneda_es.ts caneda_fr.ts caneda_he.ts caneda_hu.ts
-caneda_it.ts caneda_jp.ts caneda_pl.ts caneda_pt.ts caneda_ro.ts
-caneda_ru.ts caneda_sv.ts caneda_tr.ts caneda_uk.ts caneda_es_AR.ts
+caneda_es.ts
 )
 
 QT5_ADD_TRANSLATION( QM_FILES ${TS_FILES} )

=== libraries/CMakeLists.txt ===
SET(LIBRARIES components hdl)

INSTALL(DIRECTORY ${LIBRARIES} DESTINATION ${LIBRARYDIR})

=== src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
  ${CMAKE_BINARY_DIR}

  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/dialogs
  ${CMAKE_SOURCE_DIR}/src/paintings
  ${CMAKE_SOURCE_DIR}/src/tools

  ${CMAKE_BINARY_DIR}/src/dialogs
  ${CMAKE_BINARY_DIR}/src/paintings
  ${CMAKE_BINARY_DIR}/src/tools

  ${QWT_INCLUDE_DIR}
)

ADD_SUBDIRECTORY( dialogs )
ADD_SUBDIRECTORY( paintings )
ADD_SUBDIRECTORY( tools )

SET( CANEDA_SRCS
  actionmanager.cpp chartitem.cpp chartscene.cpp chartview.cpp component.cpp
  documentviewmanager.cpp fileformats.cpp folderbrowser.cpp global.cpp
  graphicsitem.cpp graphicsscene.cpp graphicsview.cpp icontext.cpp
  idocument.cpp iview.cpp library.cpp main.cpp mainwindow.cpp
  modelviewhelpers.cpp port.cpp portsymbol.cpp project.cpp property.cpp
  settings.cpp sidebarchartsbrowser.cpp sidebaritemsbrowser.cpp
  sidebartextbrowser.cpp statehandler.cpp syntaxhighlighters.cpp tabs.cpp
  textedit.cpp undocommands.cpp wire.cpp xmlutilities.cpp
)

ADD_EXECUTABLE( caneda ${CANEDA_SRCS} )

TARGET_LINK_LIBRARIES( caneda
  Qt5::Widgets
  Qt5::Svg
  Qt5::PrintSupport
  ${QWT_LIBRARIES}
  dialogs
  paintings
  tools
)

INSTALL( TARGETS caneda DESTINATION ${BINARYDIR} )

=== images/png/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
          select-rectangular.png zoom-in.png chronometer.png document-properties.png eps.png
          go-next.png object-flip-horizontal.png stop.png zoom-original.png document-save-all.png
          folder-new.png go-previous.png object-flip-vertical.png system-switch-user.png
-         zoom-out.png list-remove.png list-add.png edit-clear.png
+         zoom-out.png list-remove.png list-add.png edit-clear.png preferences-other.png
          document-open-recent.png show-menu.png view-fullscreen.png
          configure.png configure-shortcuts.png view-sidetree.png fork.png
 )

=== src/dialogs/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,14 @@
   savedocumentsdialog.cpp settingsdialog.cpp shortcutsdialog.cpp
 )
 
-ADD_LIBRARY( dialogs ${DIALOGS_SRCS} )
+qt5_wrap_ui( DIALOGS_UIC
+  aboutdialog.ui chartsdialog.ui exportdialog.ui filenewdialog.ui
+  portsymboldialog.ui printdialog.ui projectfilenewdialog.ui
+  projectfileopendialog.ui propertydialog.ui savedocumentsdialog.ui
+  settingsdialog.ui shortcutsdialog.ui
+)
+
+ADD_LIBRARY( dialogs ${DIALOGS_SRCS} ${DIALOGS_UIC} )
 
 TARGET_LINK_LIBRARIES( dialogs
   Qt5::PrintSupport

=== src/paintings/CMakeLists.txt ===
SET( PAINTINGS_SRCS
  painting.cpp rectangle.cpp ellipse.cpp graphicline.cpp arrow.cpp layer.cpp
  graphictext.cpp ellipsearc.cpp styledialog.cpp graphictextdialog.cpp
)

ADD_LIBRARY( paintings ${PAINTINGS_SRCS} )

TARGET_LINK_LIBRARIES( paintings
  Qt5::Widgets
)

=== src/tools/CMakeLists.txt ===
SET( TOOLS_SRCS
  gitmanager.cpp quicklauncher.cpp quickinsert.cpp quickopen.cpp
)

qt5_wrap_ui( TOOLS_UIC
  gitmanager.ui
)

ADD_LIBRARY( tools ${TOOLS_SRCS} ${TOOLS_UIC} )

TARGET_LINK_LIBRARIES( tools
  Qt5::Widgets
)

=== debian/changelog ===
caneda (0.3.1+gitg08e22168-1) unstable; urgency=medium

  * Import upstream snapshot (Closes: #894412).
  * Switch to debhelper compat 13.
    - No more need of passing --parallel for parallel builds.
    - No more need of passing --fail_missing, it's dh_missing default
      behavior.
  * Bump Standards-Version to 4.6.0.1, no changes required.
  * Set Rules-Requires-Root: no.
  * Fix insecure copyright format URI.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 07 Oct 2021 15:15:53 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: caneda
 Section: electronics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libqt5svg5-dev,

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,9 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_install:
-	rm -fv debian/tmp/usr/share/caneda/INSTALL
-	dh_install --fail-missing
+	rm -fv debian/caneda/usr/share/caneda/INSTALL
+	rm -vf debian/caneda/usr/share/caneda/COPYING
+	dh_install

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/Caneda-$1\.tar\.gz/ \
https://github.com/Caneda/Caneda/tags .*/v?(\d\S*)\.tar\.gz

## caneda 0.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Caneda project
 PROJECT( Caneda )
 
-SET( PACKAGE_VERSION "0.3.1" )
-SET( PACKAGE_STRING "caneda 0.3.1" )
+SET( PACKAGE_VERSION "0.4.0" )
+SET( PACKAGE_STRING "caneda 0.4.0" )
 
 # ==================================================================================
 # Minimum libraries required
@@ -43,6 +43,8 @@
 
 CONFIGURE_FILE( ${Caneda_SOURCE_DIR}/config.h.cmake ${Caneda_BINARY_DIR}/config.h )
 
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused-parameter")
+
 # ==================================================================================
 # Include sources directories

=== images/png/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # toolbar pictures
-SET(PNGS align-horizontal-center.png application-x-caneda-layout.png
+SET(PNGS align-horizontal-center.png
          application-x-caneda-schematic.png application-x-caneda-symbol.png
          application-x-spice-netlist.png application-x-spice-simulation-raw.png
          c_microstrip.png document-save-as.png folder.png unknown.png

=== src/paintings/CMakeLists.txt ===
SET( PAINTINGS_SRCS
  painting.cpp rectangle.cpp ellipse.cpp graphicline.cpp arrow.cpp
  graphictext.cpp ellipsearc.cpp styledialog.cpp graphictextdialog.cpp
)

qt5_wrap_ui( PAINTINGS_UIC
  styledialog.ui
)

ADD_LIBRARY( paintings ${PAINTINGS_SRCS} ${PAINTINGS_UIC} )

TARGET_LINK_LIBRARIES( paintings
  Qt5::Widgets
)

=== debian/changelog ===
caneda (0.4.0-2) unstable; urgency=medium

  * Bump CMAKE_MINIMUM_VERSION to 3.31 (Closes: #1112746).
  * Bump debian/watch to version 5.
  * Remove now redundant Rules-Requires-Root: no.
  * Bump Standards-Version. No changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 29 Sep 2025 15:40:49 -0300

caneda (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards Version to 4.7.0, no changes required.
  * Re arrange debian/copyright in order to properly match entries.
  * Bump debian/watch file format to version 4.
  * Push packaging to salsa.debian.org.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Oct 2024 09:33:45 -0300

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.6.0.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/Caneda/Caneda
+Vcs-Git: https://salsa.debian.org/lisandro/caneda.git
+Vcs-Browser: https://salsa.debian.org/lisandro/caneda
 
 Package: caneda
 Architecture: any

=== debian/watch ===
Version: 5

Template: Github
Owner: Caneda
Project: Caneda
